<?php

namespace Modules\Sd\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Sd\Entities\PackingSlip;

class PackingSlipListController extends Controller
{
    public function allPackingSlip()
    {
        try {
            $packing_slips = PackingSlip::select(['packing_slip_id', 'shipment_id', 'customer_order_id', 'factory_po'])->orderBy('packing_slip_id', 'desc')->get();
            $responseBody = $this->responseBody(true, "PackingSlipListController", "allPackingSlip", $packing_slips);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "PackingSlipListController", "allPackingSlip", $exception);
        }
        return response()->json(["data" => $responseBody]);
    }


    public function getPackingSlipData($id)
    {
        try {
            $query = 'SELECT sd_packing_slips.*,pp_customer_orders.customer_id FROM sd_packing_slips INNER JOIN pp_customer_orders
            ON sd_packing_slips.factory_po = pp_customer_orders.factory_po_num WHERE sd_packing_slips.packing_slip_id = "' . $id . '"';
            $packing_slip = DB::select($query);
            $responseBody = $this->responseBody(true, "PackingSlipListController", "getPackingSlipData", $packing_slip);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "PackingSlipListController", "getPackingSlipData", $exception);
        }
        return response()->json(["data" => $responseBody]);
    }


    public function delete($id)
    {
        try {
            $packing_slips = PackingSlip::find($id);
            $status = false;
            if ($packing_slips) {
                $status = $packing_slips->delete();
            }
            $responseBody = $this->responseBody(true, "PackingSlipListController", "delete", $status);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "PackingSlipListController", "delete", $exception);
        }
        return response()->json(["data" => $responseBody]);
    }



    /**
     * responseBody
     * This is used to create response.
     * @param success This is the paramter require boolean
     * @param name This is the paramter require ui table name
     * @param message This is the paramter require message content
     * @param result This is the paramter require result as some of data to return client
     * @return Json This returns as response.
     */
    private function responseBody($success, $name, $message, $result)
    {
        $body = [
            "success" => $success,
            "message" => $message,
            "name" => $name,
            "result" => $result
        ];
        return $body;
    }
}
