var PACKING_SLIP_ID = undefined;

$(document).ready(function () {



    if (window.location.search.length > 0) {
        var sPageURL = window.location.search.substring(1);
        var param = sPageURL.split("?");
        PACKING_SLIP_ID = param[0].split("=")[1].split("&")[0];
        action = param[0].split("=")[2].split("&")[0];

       
        if (action == "edit") {
            $("#btnScheduleAction").text("Update");
            getPackingSlipData(PACKING_SLIP_ID);
        } else if (action == "view") {
            $("#btnScheduleAction").hide();
            getPackingSlipData(PACKING_SLIP_ID);
        }

    }

    $("#btnScheduleAction").on("click", function () {
        if ($(this).text() == "Save") {
            savePackingSlip();
        } else {
            updatePackingSlip(PACKING_SLIP_ID);
        }
    });

    $('#shipment').on('change', function () {
        getCustomerOrderData(this.value);
    });

    getShipmentData();


});



function resetScheduleForm() {
    $('#formSchedule').trigger("reset");
}



function savePackingSlip() {

    $.ajax({
        type: "POST",
        url: '/sd/PackingSlipController/savePackingSlip',
        data: {
            "customer_order_id": $('#txtCustomerOrderNo').val(),
            "factory_po": $('#txtFactoryPo').val(),
            "shipment_id": $('#shipment').val(),
            "pallet": $('#txtPallet').val(),
            "note": $('#txtAdditionalNote').val(),
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
            resetScheduleForm()
        },
        success: function (response) {
            console.log(response);
            // window.location.reload();
            if (response.data.success) {
                showSuccessMessage('Packing slip data has been saved successful...!');
                resetScheduleForm();
                // window.location.reload();
            } else {
                if (response.data.result.errorInfo) {
                    showWarningMessage("Please make sure all fields are filled in correctly.");
                }
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });
}


function getPackingSlipData(id) {
    $.ajax({
        type: "GET",
        url: "/sd/PackingSlipController/getPackingSlipData/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            // progress(true);
        },
        success: function (response) {
            console.log(response);
            var res = response.data.result;

            PACKING_SLIP_ID = res.packing_slip_id;
            $("#shipment").val(res.shipment_id);
            $("#txtCustomerOrderNo").val(res.customer_order_id);
            $("#txtFactoryPo").val(res.factory_po);
            $("#txtPallet").val(res.no_of_pallet);
            $("#txtAdditionalNote").val(res.note);

        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {
            // progress(false);
        },
    });
}



function updatePackingSlip(id) {
    if(id == undefined){

        showWarningMessage("Invalied packing slip.");
        return;
    }
    $.ajax({
        type: "PUT",
        url: "/sd/PackingSlipController/updatePackingSlip/" + id,
        data: {
            "customer_order_id": $('#txtCustomerOrderNo').val(),
            "factory_po": $('#txtFactoryPo').val(),
            "shipment_id": $('#shipment').val(),
            "pallet": $('#txtPallet').val(),
            "note": $('#txtAdditionalNote').val(),
        },
        headers: {
            "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        timeout: 800000,
        beforeSend: function () { },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage('Packing slip data has been updated successful...!');
                location.href = "/sd/packing_slip_list";
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error("Something went wrong");
        },
        complete: function () { },
    });

}


function checkStringLength(string, maxLength) {

    if (string.length > maxLength) {
        return false;
    }
    return true;

}


function getShipmentData() {
    $.ajax({
        type: "GET",
        url: "/sd/loadingPlan/getShipmentData",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () { },
        success: function (response) {
            var res = response.data.result;
            // console.log(res);
            for (var i = 0; i < res.length; i++) {
                $("#shipment").append(
                    '<option value="' +
                    res[i].shipment_id +
                    '">' +
                    res[i].shipment_no +
                    "</option>"
                );
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () { },
    });
}





function getCustomerOrderData(id) {
    $.ajax({
        type: "GET",
        url: "/sd/loadingPlan/getCustomerOrderData/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var result = response.data.result;
                $("#txtCustomerOrderNo").val(result[0].customer_order_id);
                $("#txtFactoryPo").val(result[0].factory_po_num);
                $("#shipment").val(result[0].shipment_id);
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
        },
    });
}


/**
 * showSuccessMessage
 * This function is used to show success message.
 * @param message This is the paramter to require message content
 */
function showSuccessMessage(message) {
    toastr.success(message);
}

/**
 * showWarningMessage
 * This function is used to show warning message.
 * @param message This is the paramter to require message content
 */
function showWarningMessage(message) {
    toastr.warning(message);
}

/**
 * showErrorMessage
 * This function is used to show error message.
 * @param message This is the paramter to require message content
 */
function showErrorMessage() {
    toastr.error("Something went wrong");
}
