@extends('sd::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ Module::asset('sd:css/settings.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/dropzone/dropzone.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">

    <meta name="csrf-token" content="{{ csrf_token() }}">
    {{-- <script>
        var user_type = "{{ Auth::user()->user_type }}";

        var status_permission = "{{ Auth::user()->can('pp_order_list_status') }} ";
        var edit_permission = "{{ Auth::user()->can('pp_order_list_edit') }} ";
        var view_permission = "{{ Auth::user()->can('pp_order_list_view') }} ";
        var delete_permission = "{{ Auth::user()->can('pp_order_list_delete') }} ";
    </script> --}}
    <style>
        .modal-body {
            overflow-y: auto;
        }
    </style>
@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3></h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">Pages</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Settings</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card ">
                <div class="card-body">
                    <h6 class="card-title">Settings</h6>
                    <div class="accordion" id="accordionExample">

                        <div class="accordion w-100" id="accordionExample">

                            <div class="col-md-12 mb-3">
                                <div class="card ">
                                    <div class="card-header" id="headingTown">
                                        <h5 class="mb-0">
                                            <button class="btn btn-link" type="button" id="settingsModal"
                                                data-toggle="collapse" data-target="#collapseStores" aria-expanded="false"
                                                aria-controls="collapseStores" onclick="getAllMaterialType()">
                                                <i class="ti-settings mr-2"></i>Shipping Agent
                                            </button>
                                        </h5>
                                    </div>
                                    <div id="collapseStores" class="collapse" aria-labelledby="headingStores"
                                        data-parent="#accordionExample">
                                        <div class="card-body">
                                            <div>
                                                <button type="button" class="btn btn-primary"
                                                    data-target="#settingsAddModal" data-whatever="@getbootstrap"
                                                    name="save" onclick="showMaterialType('save',null)">
                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                </button>
                                            </div>
                                            <div class="table-responsive">
                                                <!-- Required for Responsive -->
                                                <table class="table">
                                                    <thead>
                                                        <tr>
                                                            <th class="id">ID#</th>
                                                            <th>Code</th>
                                                            <th>Name</th>
                                                            <th>Address</th>
                                                            <th>Contact Person</th>
                                                            <th>Fixed No</th>
                                                            <th>Mobile No</th>
                                                            <th class="edit edit_stores">Edit</th>
                                                            <th class="disable disable_stores">Status</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="tblMaterialType"></tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="settingsAddModal" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="settingsAddModalTitle">Modal title</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i class="ti-close"></i>
                        </button>
                    </div>
                    <form method="POST" id="myForm">
                        {{ csrf_field() }}
                        <input type="hidden" id="settingID" name="settingID" value>
                        <div class="modal-body" id="settingsAddModalBody">
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Close
                            </button>
                            <div id="btnDiv">
                                <button type="button" class="btn btn-primary" id="btnSetting">Save</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
    <script src="{{ url('assets/js/examples/datatable.js') }}"></script>

    <script src="{{ url('vendors/dropzone/dropzone.js') }}"></script>
    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>

    <script src="{{ Module::asset('sd:js/svr.js') }}?random=<?php echo uniqid(); ?>"></script>
    <script src="{{ Module::asset('sd:js/settings.js') }}?random=<?php echo uniqid(); ?>"></script>
    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>
    <!-- Sweet alert -->
    <script src="{{ url('assets/js/examples/sweet-alert.js') }}"></script>
@endsection
